
QGIS Application - Bug report #20514

error of  qgis 3.41 Raster>Conversion>Polygonize(raster to vector)

2018-11-16 07:39 AM - kevin huang

Status: Closed

Priority: High

Assignee:

Category: Processing/GDAL

Affected QGIS version:3.4.1 Regression?: Yes

Operating System: win10  64bit Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 28334

Description

I want copy some drawing in a old map to qgis

To do this

1: I turn aaa.jpg(old map)  into  bbb.png (export georeferenced raster) through freehand raster georeferencer plugin

2: Add raster ayer bbb.png  then  "Raster>Conversion>Polygonize(raster to vector)" ---default run

3: Execution failed

error:

GDAL command output:

Traceback (most recent call last):

File "D:/PROGRA~3/QGIS3~1.4/apps/qgis/./python/plugins\processing\algs\gdal\GdalAlgorithm.py", line 133, in processAlgorithm

GdalUtils.runGdal(commands, feedback)

File "D:/PROGRA~3/QGIS3~1.4/apps/qgis/./python/plugins\processing\algs\gdal\GdalUtils.py", line 110, in runGdal

for line in proc.stdout:

File "D:\PROGRA~3\QGIS3~1.4\apps\Python37\lib\codecs.py", line 322, in decode

(result, consumed) = self._buffer_decode(data, self.errors, final)

UnicodeDecodeError: 'utf-8' codec can't decode byte 0xd5 in position 487: invalid continuation byte

Execution failed after 0.53 seconds

History

#1 - 2018-11-16 07:55 AM - kevin huang

- File 图片20181116145224.jpg added

- File 图片20181116145508.jpg added

#2 - 2018-11-16 09:22 AM - Giovanni Manghi

- Status changed from Open to Feedback

Does the path (or file name) of the input contain any special char?

#3 - 2018-11-16 10:17 AM - kevin huang

Giovanni Manghi wrote:

Does the path (or file name) of the input contain any special char?
Thank your attention

no special char:---C:\Users\zjhm\Desktop\bbb.png

#4 - 2018-11-16 10:19 AM - Giovanni Manghi

Does it work ok in 2.18?

#5 - 2018-11-16 11:17 AM - kevin huang

- File 图片20181116181539.jpg added

Giovanni Manghi wrote:

Does it work ok in 2.18?

I just do same action in 2.18

qgis 2.18 become "not responding"  as  图片20181116181539.jpg

#6 - 2018-11-16 11:31 AM - kevin huang

- File 图片20181116182950.jpg added

Giovanni Manghi wrote:

Does it work ok in 2.18?

now  it finished  work ok in 2.18

#7 - 2018-11-16 03:52 PM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from No to Yes

- Status changed from Feedback to Open

- Priority changed from Normal to High

- Regression? changed from No to Yes

#8 - 2019-01-29 07:20 AM - Alexander Bruy

- Status changed from Open to Feedback

Please test with 3.4/master

#9 - 2019-02-12 07:27 AM - Alexander Bruy

- Status changed from Feedback to Closed

- Resolution set to no timely feedback

Files

2025-04-27 2/3



图片20181116145224.jpg 97.7 KB 2018-11-16 kevin huang

图片20181116145508.jpg 138 KB 2018-11-16 kevin huang

图片20181116181539.jpg 269 KB 2018-11-16 kevin huang

图片20181116182950.jpg 449 KB 2018-11-16 kevin huang
